<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2_17) on Thu Sep 24 15:03:20 BST 2009 -->
<TITLE>
DefaultGraphCellEditor (JGraph v5.12.4.2 API Specification)
</TITLE>

<META NAME="keywords" CONTENT="org.jgraph.graph.DefaultGraphCellEditor class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="DefaultGraphCellEditor (JGraph v5.12.4.2 API Specification)";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultGraphCellEditor.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
<p><b>JGraph</b><br>v5.12.4.2</p></EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/jgraph/graph/DefaultGraphCell.html" title="class in org.jgraph.graph"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.DefaultTextField.html" title="class in org.jgraph.graph"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultGraphCellEditor.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.jgraph.graph</FONT>
<BR>
Class DefaultGraphCellEditor</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by"><B>org.jgraph.graph.DefaultGraphCellEditor</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/ActionListener.html" title="class or interface in java.awt.event">ActionListener</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/CellEditor.html" title="class or interface in javax.swing">CellEditor</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/EventListener.html" title="class or interface in java.util">EventListener</A>, <A HREF="../../../org/jgraph/graph/GraphCellEditor.html" title="interface in org.jgraph.graph">GraphCellEditor</A>, <A HREF="../../../org/jgraph/event/GraphSelectionListener.html" title="interface in org.jgraph.event">GraphSelectionListener</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A></DD>
</DL>
<HR>
<DL>
<DT>public class <B>DefaultGraphCellEditor</B><DT>extends <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/ActionListener.html" title="class or interface in java.awt.event">ActionListener</A>, <A HREF="../../../org/jgraph/graph/GraphCellEditor.html" title="interface in org.jgraph.graph">GraphCellEditor</A>, <A HREF="../../../org/jgraph/event/GraphSelectionListener.html" title="interface in org.jgraph.event">GraphSelectionListener</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A></DL>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../serialized-form.html#org.jgraph.graph.DefaultGraphCellEditor">Serialized Form</A></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.DefaultTextField.html" title="class in org.jgraph.graph">DefaultGraphCellEditor.DefaultTextField</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;TextField used when no editor is supplied.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.EditorContainer.html" title="class in org.jgraph.graph">DefaultGraphCellEditor.EditorContainer</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Container responsible for placing the editingComponent.</TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Field Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Color.html" title="class or interface in java.awt">Color</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#borderSelectionColor">borderSelectionColor</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;True if the border selection color should be drawn.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#canEdit">canEdit</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Internal Note, maybe isCellEditable return true.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Component.html" title="class or interface in java.awt">Component</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#editingComponent">editingComponent</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Component used in editing, obtained from the editingContainer.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Container.html" title="class or interface in java.awt">Container</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#editingContainer">editingContainer</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Editing container, will contain the editorComponent.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/Icon.html" title="class or interface in javax.swing">Icon</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#editingIcon">editingIcon</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Icon to use when editing.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Font.html" title="class or interface in java.awt">Font</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#font">font</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Font to paint with, null indicates font of renderer is to be used.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#graph">graph</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;JTree instance listening too.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#lastCell">lastCell</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;last path that was selected.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#offsetX">offsetX</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Used in editing.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#offsetY">offsetY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../org/jgraph/graph/GraphCellEditor.html" title="interface in org.jgraph.graph">GraphCellEditor</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#realEditor">realEditor</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Editor handling the editing.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#DefaultGraphCellEditor()">DefaultGraphCellEditor</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a DefaultTreeCellEditor object for a JGraph using the
 specified renderer and a default editor.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#DefaultGraphCellEditor(org.jgraph.graph.GraphCellEditor)">DefaultGraphCellEditor</A></B>(<A HREF="../../../org/jgraph/graph/GraphCellEditor.html" title="interface in org.jgraph.graph">GraphCellEditor</A>&nbsp;editor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a DefaultTreeCellEditor object for a JTree using the
 specified renderer and the specified editor.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/ActionEvent.html" title="class or interface in java.awt.event">ActionEvent</A>&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Messaged when the timer fires, this will start the editing
 session.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#addCellEditorListener(javax.swing.event.CellEditorListener)">addCellEditorListener</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/event/CellEditorListener.html" title="class or interface in javax.swing.event">CellEditorListener</A>&nbsp;l)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds the CellEditorListener.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#cancelCellEditing()">cancelCellEditing</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Messages cancelCellEditing to the realEditor and removes it from this
 instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#canEditImmediately(java.util.EventObject)">canEditImmediately</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/EventObject.html" title="class or interface in java.util">EventObject</A>&nbsp;event)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if <code>event</code> is null, or it is a MouseEvent
 with a click count > 2 and inHitRegion returns true.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Container.html" title="class or interface in java.awt">Container</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#createContainer()">createContainer</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates the container to manage placement of editingComponent.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../org/jgraph/graph/GraphCellEditor.html" title="interface in org.jgraph.graph">GraphCellEditor</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#createGraphCellEditor()">createGraphCellEditor</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;This is invoked if a TreeCellEditor is not supplied in the constructor.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#determineOffset(org.jgraph.JGraph, java.lang.Object, boolean)">determineOffset</A></B>(<A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;graph,
                <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;value,
                boolean&nbsp;isSelected)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Color.html" title="class or interface in java.awt">Color</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#getBorderSelectionColor()">getBorderSelectionColor</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the color the border is drawn.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#getCellEditorValue()">getCellEditorValue</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value currently being edited.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Font.html" title="class or interface in java.awt">Font</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#getFont()">getFont</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the font used for editing.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Component.html" title="class or interface in java.awt">Component</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#getGraphCellEditorComponent(org.jgraph.JGraph, java.lang.Object, boolean)">getGraphCellEditorComponent</A></B>(<A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;graph,
                            <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;cell,
                            boolean&nbsp;isSelected)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Configures the editor.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#inHitRegion(double, double)">inHitRegion</A></B>(double&nbsp;x,
            double&nbsp;y)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Should return true if the passed in location is a valid mouse location
 to start editing from.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#isCellEditable(java.util.EventObject)">isCellEditable</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/EventObject.html" title="class or interface in java.util">EventObject</A>&nbsp;event)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;If the realEditor returns true to this message, prepareForEditing
 is messaged and true is returned.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#prepareForEditing()">prepareForEditing</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Invoked just before editing is to start.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#removeCellEditorListener(javax.swing.event.CellEditorListener)">removeCellEditorListener</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/event/CellEditorListener.html" title="class or interface in javax.swing.event">CellEditorListener</A>&nbsp;l)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes the previously added CellEditorListener l.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#setBorderSelectionColor(java.awt.Color)">setBorderSelectionColor</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Color.html" title="class or interface in java.awt">Color</A>&nbsp;newColor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the color to use for the border.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#setFont(java.awt.Font)">setFont</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Font.html" title="class or interface in java.awt">Font</A>&nbsp;font)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the font to edit with.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#setGraph(org.jgraph.JGraph)">setGraph</A></B>(<A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;newGraph)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the tree currently editing for.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#shouldSelectCell(java.util.EventObject)">shouldSelectCell</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/EventObject.html" title="class or interface in java.util">EventObject</A>&nbsp;event)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Messages the realEditor for the return value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#shouldStartEditingTimer(java.util.EventObject)">shouldStartEditingTimer</A></B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/EventObject.html" title="class or interface in java.util">EventObject</A>&nbsp;event)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if <code>event</code> is a MouseEvent and the click
 count is 1.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#stopCellEditing()">stopCellEditing</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;If the realEditor will allow editing to stop, the realEditor is
 removed and true is returned, otherwise false is returned.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#valueChanged(org.jgraph.event.GraphSelectionEvent)">valueChanged</A></B>(<A HREF="../../../org/jgraph/event/GraphSelectionEvent.html" title="class in org.jgraph.event">GraphSelectionEvent</A>&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Resets lastPath.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Field Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="realEditor"><!-- --></A><H3>
realEditor</H3>
<PRE>
protected <A HREF="../../../org/jgraph/graph/GraphCellEditor.html" title="interface in org.jgraph.graph">GraphCellEditor</A> <B>realEditor</B></PRE>
<DL>
<DD>Editor handling the editing.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="editingContainer"><!-- --></A><H3>
editingContainer</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Container.html" title="class or interface in java.awt">Container</A> <B>editingContainer</B></PRE>
<DL>
<DD>Editing container, will contain the editorComponent.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="editingComponent"><!-- --></A><H3>
editingComponent</H3>
<PRE>
protected transient <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Component.html" title="class or interface in java.awt">Component</A> <B>editingComponent</B></PRE>
<DL>
<DD>Component used in editing, obtained from the editingContainer.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="canEdit"><!-- --></A><H3>
canEdit</H3>
<PRE>
protected boolean <B>canEdit</B></PRE>
<DL>
<DD>Internal Note, maybe isCellEditable return true.
 This is set in configure  based on the path being edited and the
 selected selected path.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="offsetX"><!-- --></A><H3>
offsetX</H3>
<PRE>
protected transient int <B>offsetX</B></PRE>
<DL>
<DD>Used in editing. Indicates position to place editingComponent.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="offsetY"><!-- --></A><H3>
offsetY</H3>
<PRE>
protected transient int <B>offsetY</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="graph"><!-- --></A><H3>
graph</H3>
<PRE>
protected transient <A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A> <B>graph</B></PRE>
<DL>
<DD>JTree instance listening too.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="lastCell"><!-- --></A><H3>
lastCell</H3>
<PRE>
protected transient <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A> <B>lastCell</B></PRE>
<DL>
<DD>last path that was selected.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="borderSelectionColor"><!-- --></A><H3>
borderSelectionColor</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Color.html" title="class or interface in java.awt">Color</A> <B>borderSelectionColor</B></PRE>
<DL>
<DD>True if the border selection color should be drawn.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="editingIcon"><!-- --></A><H3>
editingIcon</H3>
<PRE>
protected transient <A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/Icon.html" title="class or interface in javax.swing">Icon</A> <B>editingIcon</B></PRE>
<DL>
<DD>Icon to use when editing.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="font"><!-- --></A><H3>
font</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Font.html" title="class or interface in java.awt">Font</A> <B>font</B></PRE>
<DL>
<DD>Font to paint with, null indicates font of renderer is to be used.
<P>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="DefaultGraphCellEditor()"><!-- --></A><H3>
DefaultGraphCellEditor</H3>
<PRE>
public <B>DefaultGraphCellEditor</B>()</PRE>
<DL>
<DD>Constructs a DefaultTreeCellEditor object for a JGraph using the
 specified renderer and a default editor. (Use this constructor
 for normal editing.)
<P>
</DL>
<HR>

<A NAME="DefaultGraphCellEditor(org.jgraph.graph.GraphCellEditor)"><!-- --></A><H3>
DefaultGraphCellEditor</H3>
<PRE>
public <B>DefaultGraphCellEditor</B>(<A HREF="../../../org/jgraph/graph/GraphCellEditor.html" title="interface in org.jgraph.graph">GraphCellEditor</A>&nbsp;editor)</PRE>
<DL>
<DD>Constructs a DefaultTreeCellEditor object for a JTree using the
 specified renderer and the specified editor. (Use this constructor
 for specialized editing.)
<P>
<DT><B>Parameters:</B><DD><CODE>editor</CODE> - a TreeCellEditor object</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="setBorderSelectionColor(java.awt.Color)"><!-- --></A><H3>
setBorderSelectionColor</H3>
<PRE>
public void <B>setBorderSelectionColor</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Color.html" title="class or interface in java.awt">Color</A>&nbsp;newColor)</PRE>
<DL>
<DD>Sets the color to use for the border.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getBorderSelectionColor()"><!-- --></A><H3>
getBorderSelectionColor</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Color.html" title="class or interface in java.awt">Color</A> <B>getBorderSelectionColor</B>()</PRE>
<DL>
<DD>Returns the color the border is drawn.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setFont(java.awt.Font)"><!-- --></A><H3>
setFont</H3>
<PRE>
public void <B>setFont</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Font.html" title="class or interface in java.awt">Font</A>&nbsp;font)</PRE>
<DL>
<DD>Sets the font to edit with. <code>null</code> indicates the renderers
 font should be used. This will NOT override any font you have set in
 the editor the receiver was instantied with. If null for an editor was
 passed in a default editor will be created that will pick up this font.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>font</CODE> - the editing Font<DT><B>See Also:</B><DD><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#getFont()"><CODE>getFont()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getFont()"><!-- --></A><H3>
getFont</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Font.html" title="class or interface in java.awt">Font</A> <B>getFont</B>()</PRE>
<DL>
<DD>Gets the font used for editing.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the editing Font<DT><B>See Also:</B><DD><A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.html#setFont(java.awt.Font)"><CODE>setFont(java.awt.Font)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getGraphCellEditorComponent(org.jgraph.JGraph, java.lang.Object, boolean)"><!-- --></A><H3>
getGraphCellEditorComponent</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Component.html" title="class or interface in java.awt">Component</A> <B>getGraphCellEditorComponent</B>(<A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;graph,
                                             <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;cell,
                                             boolean&nbsp;isSelected)</PRE>
<DL>
<DD>Configures the editor.  Passed onto the realEditor.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/graph/GraphCellEditor.html#getGraphCellEditorComponent(org.jgraph.JGraph, java.lang.Object, boolean)">getGraphCellEditorComponent</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/graph/GraphCellEditor.html" title="interface in org.jgraph.graph">GraphCellEditor</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>graph</CODE> - the JGraph that is asking the editor to edit
				This parameter can be null.<DD><CODE>cell</CODE> - the value of the cell to be edited.<DD><CODE>isSelected</CODE> - true if the cell is to be rendered with
				selection highlighting
<DT><B>Returns:</B><DD>the component for editing</DL>
</DD>
</DL>
<HR>

<A NAME="getCellEditorValue()"><!-- --></A><H3>
getCellEditorValue</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A> <B>getCellEditorValue</B>()</PRE>
<DL>
<DD>Returns the value currently being edited.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/CellEditor.html#getCellEditorValue()" title="class or interface in javax.swing">getCellEditorValue</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/CellEditor.html" title="class or interface in javax.swing">CellEditor</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isCellEditable(java.util.EventObject)"><!-- --></A><H3>
isCellEditable</H3>
<PRE>
public boolean <B>isCellEditable</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/EventObject.html" title="class or interface in java.util">EventObject</A>&nbsp;event)</PRE>
<DL>
<DD>If the realEditor returns true to this message, prepareForEditing
 is messaged and true is returned.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/CellEditor.html#isCellEditable(java.util.EventObject)" title="class or interface in javax.swing">isCellEditable</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/CellEditor.html" title="class or interface in javax.swing">CellEditor</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="shouldSelectCell(java.util.EventObject)"><!-- --></A><H3>
shouldSelectCell</H3>
<PRE>
public boolean <B>shouldSelectCell</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/EventObject.html" title="class or interface in java.util">EventObject</A>&nbsp;event)</PRE>
<DL>
<DD>Messages the realEditor for the return value.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/CellEditor.html#shouldSelectCell(java.util.EventObject)" title="class or interface in javax.swing">shouldSelectCell</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/CellEditor.html" title="class or interface in javax.swing">CellEditor</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="stopCellEditing()"><!-- --></A><H3>
stopCellEditing</H3>
<PRE>
public boolean <B>stopCellEditing</B>()</PRE>
<DL>
<DD>If the realEditor will allow editing to stop, the realEditor is
 removed and true is returned, otherwise false is returned.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/CellEditor.html#stopCellEditing()" title="class or interface in javax.swing">stopCellEditing</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/CellEditor.html" title="class or interface in javax.swing">CellEditor</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="cancelCellEditing()"><!-- --></A><H3>
cancelCellEditing</H3>
<PRE>
public void <B>cancelCellEditing</B>()</PRE>
<DL>
<DD>Messages cancelCellEditing to the realEditor and removes it from this
 instance.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/CellEditor.html#cancelCellEditing()" title="class or interface in javax.swing">cancelCellEditing</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/CellEditor.html" title="class or interface in javax.swing">CellEditor</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addCellEditorListener(javax.swing.event.CellEditorListener)"><!-- --></A><H3>
addCellEditorListener</H3>
<PRE>
public void <B>addCellEditorListener</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/event/CellEditorListener.html" title="class or interface in javax.swing.event">CellEditorListener</A>&nbsp;l)</PRE>
<DL>
<DD>Adds the CellEditorListener.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/CellEditor.html#addCellEditorListener(javax.swing.event.CellEditorListener)" title="class or interface in javax.swing">addCellEditorListener</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/CellEditor.html" title="class or interface in javax.swing">CellEditor</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="removeCellEditorListener(javax.swing.event.CellEditorListener)"><!-- --></A><H3>
removeCellEditorListener</H3>
<PRE>
public void <B>removeCellEditorListener</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/event/CellEditorListener.html" title="class or interface in javax.swing.event">CellEditorListener</A>&nbsp;l)</PRE>
<DL>
<DD>Removes the previously added CellEditorListener l.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/CellEditor.html#removeCellEditorListener(javax.swing.event.CellEditorListener)" title="class or interface in javax.swing">removeCellEditorListener</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/javax/swing/CellEditor.html" title="class or interface in javax.swing">CellEditor</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="valueChanged(org.jgraph.event.GraphSelectionEvent)"><!-- --></A><H3>
valueChanged</H3>
<PRE>
public void <B>valueChanged</B>(<A HREF="../../../org/jgraph/event/GraphSelectionEvent.html" title="class in org.jgraph.event">GraphSelectionEvent</A>&nbsp;e)</PRE>
<DL>
<DD>Resets lastPath.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../org/jgraph/event/GraphSelectionListener.html#valueChanged(org.jgraph.event.GraphSelectionEvent)">valueChanged</A></CODE> in interface <CODE><A HREF="../../../org/jgraph/event/GraphSelectionListener.html" title="interface in org.jgraph.event">GraphSelectionListener</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>e</CODE> - the event that characterizes the change.</DL>
</DD>
</DL>
<HR>

<A NAME="actionPerformed(java.awt.event.ActionEvent)"><!-- --></A><H3>
actionPerformed</H3>
<PRE>
public void <B>actionPerformed</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/ActionEvent.html" title="class or interface in java.awt.event">ActionEvent</A>&nbsp;e)</PRE>
<DL>
<DD>Messaged when the timer fires, this will start the editing
 session.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/ActionListener.html#actionPerformed(java.awt.event.ActionEvent)" title="class or interface in java.awt.event">actionPerformed</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/event/ActionListener.html" title="class or interface in java.awt.event">ActionListener</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setGraph(org.jgraph.JGraph)"><!-- --></A><H3>
setGraph</H3>
<PRE>
protected void <B>setGraph</B>(<A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;newGraph)</PRE>
<DL>
<DD>Sets the tree currently editing for. This is needed to add
 a selection listener.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="shouldStartEditingTimer(java.util.EventObject)"><!-- --></A><H3>
shouldStartEditingTimer</H3>
<PRE>
protected boolean <B>shouldStartEditingTimer</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/EventObject.html" title="class or interface in java.util">EventObject</A>&nbsp;event)</PRE>
<DL>
<DD>Returns true if <code>event</code> is a MouseEvent and the click
 count is 1.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="canEditImmediately(java.util.EventObject)"><!-- --></A><H3>
canEditImmediately</H3>
<PRE>
protected boolean <B>canEditImmediately</B>(<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/EventObject.html" title="class or interface in java.util">EventObject</A>&nbsp;event)</PRE>
<DL>
<DD>Returns true if <code>event</code> is null, or it is a MouseEvent
 with a click count > 2 and inHitRegion returns true.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="inHitRegion(double, double)"><!-- --></A><H3>
inHitRegion</H3>
<PRE>
protected boolean <B>inHitRegion</B>(double&nbsp;x,
                              double&nbsp;y)</PRE>
<DL>
<DD>Should return true if the passed in location is a valid mouse location
 to start editing from. This is implemented to return false if
 <code>x</code> is <= the width of the icon and icon gap displayed
 by the renderer. In other words this returns true if the user
 clicks over the text part displayed by the renderer, and false
 otherwise.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="determineOffset(org.jgraph.JGraph, java.lang.Object, boolean)"><!-- --></A><H3>
determineOffset</H3>
<PRE>
protected void <B>determineOffset</B>(<A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;graph,
                               <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;value,
                               boolean&nbsp;isSelected)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="prepareForEditing()"><!-- --></A><H3>
prepareForEditing</H3>
<PRE>
protected void <B>prepareForEditing</B>()</PRE>
<DL>
<DD>Invoked just before editing is to start. Will add the
 <code>editingComponent</code> to the
 <code>editingContainer</code>.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createContainer()"><!-- --></A><H3>
createContainer</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/awt/Container.html" title="class or interface in java.awt">Container</A> <B>createContainer</B>()</PRE>
<DL>
<DD>Creates the container to manage placement of editingComponent.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createGraphCellEditor()"><!-- --></A><H3>
createGraphCellEditor</H3>
<PRE>
protected <A HREF="../../../org/jgraph/graph/GraphCellEditor.html" title="interface in org.jgraph.graph">GraphCellEditor</A> <B>createGraphCellEditor</B>()</PRE>
<DL>
<DD>This is invoked if a TreeCellEditor is not supplied in the constructor.
 It returns a TextField editor.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultGraphCellEditor.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
<p><b>JGraph</b><br>v5.12.4.2</p></EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/jgraph/graph/DefaultGraphCell.html" title="class in org.jgraph.graph"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/jgraph/graph/DefaultGraphCellEditor.DefaultTextField.html" title="class in org.jgraph.graph"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultGraphCellEditor.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
<font size=1>Copyright (C) 2001-2008 <a href="http://www.jgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font>
</BODY>
</HTML>
